<?php

/**
 * BuddyPress - Users Header
 *
 * @package BuddyPress
 * @subpackage bp-legacy
 */

?>

<?php do_action( 'bp_before_member_header' ); ?>

<div id="item-header-avatar">
	<a href="<?php bp_displayed_user_link(); ?>">

		<?php bp_displayed_user_avatar( 'type=full' ); ?>

	</a>
</div><!-- #item-header-avatar -->

<div id="item-header-content">
	<?php if ( bp_is_active( 'activity' ) && bp_activity_do_mentions() ) : ?>
		<h class="user-nicename">@<?php bp_displayed_user_mentionname(); ?></h1>
	<?php endif; ?>

	<?php if ( bp_is_active( 'activity' ) && bp_activity_do_mentions() ) : ?>
		<h2 class="user-nicename">@<?php bp_displayed_user_mentionname(); ?></h2>
	<?php endif; ?>

	<span class="activity"><?php bp_last_activity( bp_displayed_user_id() ); ?></span>

	<?php do_action( 'bp_before_member_header_meta' ); ?>
	
	

	<div id="item-meta">

		<?php if ( bp_is_active( 'activity' ) ) : ?>

			<div id="latest-update">

				<?php bp_activity_latest_update( bp_displayed_user_id() ); ?>

			</div>

		<?php endif; ?>

		<div id="item-buttons">

			<?php do_action( 'bp_member_header_actions' ); ?>

		</div><!-- #item-buttons -->

		<?php
		/***
		 * If you'd like to show specific profile fields here use:
		 * bp_member_profile_data( 'field=About Me' ); -- Pass the name of the field
		 */
		 do_action( 'bp_profile_header_meta' ); // Here is one way you could add xprofile fields name as well as the value to the members directory! 
		// Just remember to replace "Field-Name" with the names of your fields in the 5 variables in my code. 
		// Also remember the field name is case sensitive. If you notice the pattern of 5 in my code you can 
		// easily see how to add more fields if you need them. You can also use the div class bph_xprofile_fields 
		// to adjust the CSS in your stylesheet. Place this code in bp-custom.php:
		add_action('bp_directory_members_item', 'bphelp_dpioml');
		function bphelp_dpioml(){
		$bphelp_my_profile_field_1='Name';
		$bphelp_my_profile_field_2='State';
		$bphelp_my_profile_field_3='Organisation';
		$bphelp_my_profile_field_4='Website';
		$bphelp_my_profile_field_5='About-you';
			if( is_user_logged_in() && bp_is_members_component() ) { ?>
				<div class="bph_xprofile_fields" style=" margin-left: 25%;">
                          <?php echo $bphelp_my_profile_field_1  ?>:&nbsp;<?php echo bp_member_profile_data( 'field='.$bphelp_my_profile_field_1 );  ?><br />
                          <?php echo $bphelp_my_profile_field_2 ?>:&nbsp;<?php echo bp_member_profile_data( 'field='.$bphelp_my_profile_field_2 ); ?><br />
                          <?php echo $bphelp_my_profile_field_3 ?>:&nbsp;<?php echo bp_member_profile_data( 'field='.$bphelp_my_profile_field_3 ); ?><br />
                          <?php echo $bphelp_my_profile_field_4 ?>:&nbsp;<?php echo bp_member_profile_data( 'field='.$bphelp_my_profile_field_4 ); ?><br />
                          <?php echo $bphelp_my_profile_field_5 ?>:&nbsp;<?php echo bp_member_profile_data( 'field='.$bphelp_my_profile_field_5 ); ?><br />
                </div><?php
       }
}

		 ?>

	</div><!-- #item-meta -->

</div><!-- #item-header-content -->

<?php do_action( 'bp_after_member_header' ); ?>

<?php do_action( 'template_notices' ); ?>